// 基于 @CONTROL/表单/MODEL.ts.ftl 生成
/**
 * AvueForm 部件模型
 *
 * @export
 * @class AvueFormModel
 */
export default class AvueFormModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof AvueFormModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'ibizbookid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'ibizbookname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'formitem',
        prop: 'type',
        dataType: 'TEXT',
      },
      {
        name: 'formitem1',
        prop: 'type',
        dataType: 'TEXT',
      },
      {
        name: 'formitem2',
        prop: 'type',
        dataType: 'TEXT',
      },
      {
        name: 'formitem3',
        prop: 'sailstate',
        dataType: 'TEXT',
      },
      {
        name: 'formitem4',
        prop: 'sailstate',
        dataType: 'TEXT',
      },
      {
        name: 'formitem5',
        prop: 'sailstate',
        dataType: 'TEXT',
      },
      {
        name: 'formitem6',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem7',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem8',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem9',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem17',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem18',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem30',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem29',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem24',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem25',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem23',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem28',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem27',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem19',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem20',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem26',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem21',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem22',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem10',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem11',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem12',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem14',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem13',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem15',
        dataType:'FORMITEM',
      },
      {
        name: 'formitem16',
        dataType:'FORMITEM',
      },
      {
        name: 'ibizbookid',
        prop: 'ibizbookid',
        dataType: 'GUID',
      },
      {
        name: 'ibizbook',
        prop: 'ibizbookid',
        dataType: 'FONTKEY',
      },
    ]
  }

}