// 基于 @CONTROL/列表导航/SERVICE.ts.ftl 生成
import { Http,Util,Errorlog } from '@/utils';
import ControlService from '@/widgets/control-service';
import IBIZBOOKService from '@/service/ibizbook/ibizbook-service';
import ListExpViewlistexpbarModel from './list-exp-viewlistexpbar-listexpbar-model';


/**
 * ListExpViewlistexpbar 部件服务对象
 *
 * @export
 * @class ListExpViewlistexpbarService
 */
export default class ListExpViewlistexpbarService extends ControlService {

    /**
     * 图书服务对象
     *
     * @type {IBIZBOOKService}
     * @memberof ListExpViewlistexpbarService
     */
    public appEntityService: IBIZBOOKService = new IBIZBOOKService();

    /**
     * 设置从数据模式
     *
     * @type {boolean}
     * @memberof ListExpViewlistexpbarService
     */
    public setTempMode(){
        this.isTempMode = false;
    }

    /**
     * Creates an instance of ListExpViewlistexpbarService.
     * 
     * @param {*} [opts={}]
     * @memberof ListExpViewlistexpbarService
     */
    constructor(opts: any = {}) {
        super(opts);
        this.model = new ListExpViewlistexpbarModel();
    }

}